LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Blogs > TekLover
User Name
Password

Notices

Rate this Entry

Kernel Source and Installed Kernel Version is Different ..Any Solution ?

Posted 06-26-2007 at 05:43 PM by TekLover


Hi Everybody!!

We are installing Suse Linux 10.1 on HP Proliant Wintel 64 bit Blade Server BL-460 c.

RAM : 2048 MB

Server Segement Size : 80 G

Installtion Method : Using ISO image of Installtion DVD , ISO mounted at the ILO2 - Inetgrated Remote Console of Server

Some Vital Components which are installed post installation are :

glibc-2.4.-31.5
kernel-source-2.6.16.27-0.9
kernel-default-2.6.16.21-0.8
compat-openssl097g-0.9.7g-13.2
libstdc++-4.1.0-28.4
patch-2.5.9-160.2


Although, the installation went ok .., We have two serious issues here

..While applying the Proliant Support Pack (PSP) through the Linux Deployment Utility ( LDU) displays the message :

"The HP Proliant Linux Deployment Utility requires source code for the 2.6.16.21-0.8-smp kernel be available for building and installing certain drivers included in this bundle.
The directory, /usr/src/linux-2.6.16.21-0.8 is either missing or is empty. "

Beside this, the output of 'uname -a' command is : 2.6.16.21-0.8-smp
the output of ' rpm -qa | grep kernel-source ' command is : kernel-source-2.6.27-0.9

So, to apply the PSP, as per the PSP guide 'the Kernel Source must match the version of the kernel installed on the server where the LDU is executing, or the connection will fail.'

And then, When I give 'rpm -ivh kernel-source-2.6.16.21-0.8 ' command to extract this rpm package at the Desktop folder ( so that, I would copy it in to /usr/src dir, where it says that it is missing...) it displays :

"package kernel-source-2.6.16.27-0.9 ( which is newer than kernel-source-2.6.16.21-0.8) is already installed "

So, how exactly I would get rid of this 'missing source code for 2.6.16.21-0.8-smp' ...'Cause I have already installed the new kernel source i.e. 2.6.16.27-0.9 as it was suggested by the system post installation ???

Also, as the connection to internetwork was not available the automatic online application of SP1 was not done during the installation and now, the HP personal says that I should first apply the PSP to get rid of Graphic and Keyboard/ mouse problem ..I know that First SP1 should be applied and then PSP ..but, in this case as the SP1 was not applied due to network problem , I am opting for the PSP and then go for SP1. After that if needed , PSP shall be applied again post SP1

Also, as the SP1 was not applied due to network connection porblem ..how do I apply SP1 manually ..'cause, YaST's onine update option screen simply shuts down once I enter the IP add ..

Any Idea about this problems ? Any help is highly appreciated !!

Many Thanks in Advance,

-Nirvana
Posted in Uncategorized
Views 1171 Comments 0
« Prev     Main     Next »

  



All times are GMT -5. The time now is 10:28 PM.

Main Menu
Advertisement

My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration